# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Path-FindDev
Version:	0.5.3
Release:	1.%{__distinit}%{__distvers}
Summary:	Find a development path somewhere in an upper hierarchy
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		https://metacpan.org/release/Path-FindDev
Source0:	http://cpan.metacpan.org/authors/id/K/KE/KENTNL/Path-FindDev-v%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Class::Tiny) >= 0.010
BuildRequires:	perl(Path::IsDev::Object)
BuildRequires:	perl(Path::Tiny) >= 0.054
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(Sub::Exporter)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(FindBin)
BuildRequires:	perl(Path::IsDev) >= 0.2.2
BuildRequires:	perl(Test::More)
# Optional Test Dependencies
BuildRequires:	perl(CPAN::Meta) >= 2.120900
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Carp)
Requires:	perl(Path::IsDev::Object)
Requires:	perl(Path::Tiny)
Requires:	perl(Scalar::Util)

%description
This package is mostly a glue layer around Path::IsDev with a few directory
walking tricks.

%prep
%setup -q -n Path-FindDev-v%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
SYSTEM_PATH_TEST=1 make test

%clean
rm -rf %{buildroot}

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README
%{perl_vendorlib}/Path/
%{_mandir}/man3/Path::FindDev.3*
%{_mandir}/man3/Path::FindDev::Object.3*

%changelog
* Fri Mar 10 2017 Paul Howarth <paul@city-fan.org> - 0.5.3-1
- Update to 0.5.3
  - Avoid test failures due to -Ddefault_inc_excludes_dot
  - Add "v" to version due to upstream requirements
  - Tests made more portable to older Test::More
- Drop bundled Test::More

* Fri Sep 16 2016 Paul Howarth <paul@city-fan.org> - 0.5.2-6
- BR: perl-generators where available
- Simplify find command using -delete

* Wed Mar  2 2016 Paul Howarth <paul@city-fan.org> - 0.5.2-2
- Support building for older distributions now that Path::Tiny does

* Tue Sep  9 2014 Paul Howarth <paul@city-fan.org> - 0.5.2-1
- Update to 0.5.2
  - No code changes
  - Metadata updated
  - Tests updated
  - Whitespace reduced
- Use %%license

* Mon Jul 14 2014 Paul Howarth <paul@city-fan.org> - 0.5.1-1
- Update to 0.5.1
  - Miscellaneous packaging updates

* Tue Mar  4 2014 Paul Howarth <paul@city-fan.org> - 0.5.0-1
- Update to 0.5.0
  - Toolkit switched to EUMM
- Switch to ExtUtils::MakeMaker flow

* Mon Nov 11 2013 Paul Howarth <paul@city-fan.org> - 0.4.2-1
- Update to 0.4.2
  - Minimum perl declared is now 5.8, and tested to work on 5.8; however, the
    version scheme is x.y.z still, which means if you want to depend on a
    specific version in Perl code, you'll need a recent enough version.pm to
    make it work

* Thu Oct 24 2013 Paul Howarth <paul@city-fan.org> - 0.4.1-1
- Update to 0.4.1
  - System path test added in 0.4.0 disabled by default due to potential
    security risks (https://github.com/kentfredric/Path-FindDev/issues/4)

* Wed Oct  2 2013 Paul Howarth <paul@city-fan.org> - 0.4.0-1
- Update to 0.4.0
  - os_root property no longer exists, as is no longer required internally
  - Fix minor typo in Pod
  - Uplevel mechanism bugged on Win32
  - Traversal Order is now test/iterate instead of iterate/test, meaning it
    will test / prior to terminating, useful probably if $PROJECTDIR is a
    UNC share
  - Root check now performed by a more reliable Path::Tiny->is_rootdir
  - Path resolution is now performed and realpathed early on
  - Tests now aggressively check that $PROJECTROOT/../ is not contained in a
    directory that is considered "dev" by Path::IsDev
- Bump perl(Path::Tiny) version requirement to 0.038

* Thu Sep 26 2013 Paul Howarth <paul@city-fan.org> - 0.3.2-1
- Update to 0.3.2
  - Use a less broken compile test for Win32 folk

* Thu Sep 19 2013 Paul Howarth <paul@city-fan.org> - 0.3.1-1
- Update to 0.3.1
  - Use Class::Tiny ≥ 0.010, fixing 'used only once' warnings

* Wed Sep 18 2013 Paul Howarth <paul@city-fan.org> - 0.3.0-1
- Update to 0.3.0
  - Implemented in Class::Tiny instead of Moo

* Mon Sep 16 2013 Paul Howarth <paul@city-fan.org> - 0.2.0-1
- Initial RPM version
